OSMJS(1)

NAME
osmjs - Javascript interpreter for the Osmium framework

SYNOPSIS
osmjs [options] osmfile [args]

DESCRIPTION
This manual page documents briefly the osmjs command.

osmjs is an Osmium based framework for handling OSM data by calling Javascript callbacks for each object in an OSM data file. This gives you the flexibility of Javascript together with speed of the C++ Osmium framework and the Google V8 Javascript JIT compiler.

osmfile can be an OSM XML (suffix .osm) (optionally packed with bz2 or gz) or PBF (suffix .osm.pbf) file. In single-pass mode it can also be '-' to read a PBF file from stdin.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show summary of options.

-d, --debug
    Enable debugging output.

-i FILE, --include=FILE
    Include Javascript file (can be given several times)

-j FILE, --javascript=FILE
    Process given Javascript file

-l STORE, --location-store=STORE
    Set location store (default: 'none'). See below for a list of available stores.

-r, --no-repair
    Do not attempt to repair broken multipolygons

-2, --2pass
    Read osmfile twice

-m, --multipolygon
    Build multipolygons (implies -2)

STORES

none
    Do not store node locations (you will have no way or polygon geometries)

array
    Store node locations in large array (use for large OSM files)

disk
    Store node locations on disk (use when low on memory)

sparsetable
    Store node locations in sparse table (use for small OSM files)

AUTHOR
Osmium was written by Jochen Topf <jochen@topf.org>.

This manual page was written by David Paleino <dapal@debian.org>, for the Debian project (and may be used by others).